Name:		lsyncd
Version:	2.3.1
Release:	%mkrel 2
Summary:	Live Syncing (Mirror) Daemon
Group:		Networking/File transfer
License:	GPLv2+
URL:		https://github.com/axkibe/lsyncd
Source0:	https://github.com/axkibe/lsyncd/archive/release-%{version}/%{name}-release-%{version}.tar.gz
Source1:	%{name}.service
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.conf
Patch0:		lsyncd-2.2.3-mga-fix-manpage.patch
Patch1:		cmake-define-LUA_COMPAT_5_3.patch
# Revert upstream change as it is not recommended and broke build:
# https://github.com/lsyncd/lsyncd/commit/d779eb434f9d2482e9217af830f3334df94473d0
Patch2:		0001-revert_Allow-lsyncd-to-be-build-in-the-source-folder-without-breaking.patch
BuildRequires:	cmake
BuildRequires:	asciidoc
BuildRequires:	pkgconfig(lua)
Requires:	lua%{lua_version}
Requires:	rsync
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
Lsyncd watches a local directory trees event monitor interface (inotify
or fsevents). It aggregates and combines events for a few seconds and then
spawns one (or more) process(es) to synchronize the changes. By default this
is rsync. Lsyncd is thus a light-weight live mirror solution that is
comparatively easy to install not requiring new filesystems or block devices
and does not hamper local filesystem performance.

Rsync+ssh is an advanced action configuration that uses a SSH to act file and
directory moves directly on the target instead of re-transmitting the move
destination over the wire.

Fine-grained customization can be achieved through the config file. Custom
actionconfigs can even be written from scratch in cascading layers ranging
from shellscripts to code written in the Lua language. This way simple,
powerful and flexible configurations can be achieved.


%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

install -p -d -m 0755 %{buildroot}%{_var}/log/%{name}
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/lsyncd.service
install -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/lsyncd
install -p -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/lsyncd
install -p -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc ChangeLog README.md examples/*
%license COPYING
%config(noreplace) %{_sysconfdir}/lsyncd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/lsyncd
%config(noreplace) %{_sysconfdir}/logrotate.d/lsyncd
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%dir %{_var}/log/%{name}
%{_mandir}/man1/%{name}.1*
%_defaultdocdir/%name


%changelog
* Tue Nov 22 2022 daviddavid <daviddavid> 2.3.1-2.mga9
+ Revision: 1910016
- new version: 2.3.1
- revert upstream change as it is not recommended and broke build
  * https://github.com/lsyncd/lsyncd/commit/d779eb434
- Update lsyncd.service with Nice=19, ExecReload, Restart=always, SuccessExitStatus=143
+ neoclust <neoclust>
- New version 	2.3.0

* Fri Mar 18 2022 umeabot <umeabot> 2.2.3-6.mga9
+ Revision: 1797945
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 wally <wally> 2.2.3-5.mga9
+ Revision: 1712770
- rebuild with lua 5.4
- add lua patches from Fedora

* Mon Mar 29 2021 wally <wally> 2.2.3-4.mga9
+ Revision: 1711760
- build with latest lua

* Thu Feb 13 2020 daviddavid <daviddavid> 2.2.3-3.mga8
+ Revision: 1515037
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.2.3-2.mga7
+ Revision: 1299360
- Mageia 7 Mass Rebuild

* Tue Mar 13 2018 daviddavid <daviddavid> 2.2.3-1.mga7
+ Revision: 1208832
- new version: 2.2.3
- rename and rediff manpage patch

* Fri Feb 17 2017 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 1086620
- new version: 2.2.2

* Sat Jan 14 2017 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 1081617
- new version: 2.2.1
- rename and redo mga-fix-manpage patch

* Thu Mar 31 2016 daviddavid <daviddavid> 2.1.6-1.mga6
+ Revision: 997015
- imported package lsyncd (mga#13611)

